Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package reflect
  Definition Classes
    tools
-  class FastTrack [MacrosAndAnalyzer <: Macros with Analyzer] extends AnyRef

  Optimizes system macro expansions by hardwiring them directly to their implementations bypassing standard reflective load and invoke to avoid the overhead of Java/Scala reflection.

  Optimizes system macro expansions by hardwiring them directly to their implementations bypassing standard reflective load and invoke to avoid the overhead of Java/Scala reflection.

  Definition Classes
    reflect
- FastTrackEntry

c

scala.tools.reflect.FastTrack

# FastTrackEntry 

###

#### final class FastTrackEntry extends (MacrosAndAnalyzer.MacroArgs) ⇒ Any

Source
  FastTrack.scala

Linear Supertypes
(MacrosAndAnalyzer.MacroArgs) ⇒ Any, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FastTrackEntry
2. Function1
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new FastTrackEntry(pf: PartialFunction[nsc.ast.Trees.treeInfo.Applied, (MacrosAndAnalyzer.MacroContext) ⇒ nsc.Global.Tree], isBlackbox: Boolean)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from FastTrackEntry to any2stringadd[FastTrackEntry] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (FastTrackEntry, B)
   Implicit
     This member is added by an implicit conversion from FastTrackEntry to ArrowAssoc[FastTrackEntry] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def andThen[A](g: (Any) ⇒ A): (MacrosAndAnalyzer.MacroArgs) ⇒ A
   Definition Classes
     Function1
   Annotations
     @unspecialized()
7.  def apply(margs: MacrosAndAnalyzer.MacroArgs): (c)#Expr[Nothing]
   Definition Classes
     FastTrackEntry → Function1
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
10.  def compose[A](g: (A) ⇒ MacrosAndAnalyzer.MacroArgs): (A) ⇒ Any
    Definition Classes
      Function1
    Annotations
      @unspecialized()
11.  def ensuring(cond: (FastTrackEntry) ⇒ Boolean, msg: ⇒ Any): FastTrackEntry
    Implicit
      This member is added by an implicit conversion from FastTrackEntry to Ensuring[FastTrackEntry] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (FastTrackEntry) ⇒ Boolean): FastTrackEntry
    Implicit
      This member is added by an implicit conversion from FastTrackEntry to Ensuring[FastTrackEntry] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: ⇒ Any): FastTrackEntry
    Implicit
      This member is added by an implicit conversion from FastTrackEntry to Ensuring[FastTrackEntry] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): FastTrackEntry
    Implicit
      This member is added by an implicit conversion from FastTrackEntry to Ensuring[FastTrackEntry] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
18.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from FastTrackEntry to StringFormat[FastTrackEntry] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
19.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
21.  val isBlackbox: Boolean
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
26.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Definition Classes
      Function1 → AnyRef → Any
28.  def validate(tree: nsc.Global.Tree): Boolean
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  def →[B](y: B): (FastTrackEntry, B)
    Implicit
      This member is added by an implicit conversion from FastTrackEntry to ArrowAssoc[FastTrackEntry] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from (MacrosAndAnalyzer.MacroArgs) ⇒ Any

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from FastTrackEntry to any2stringadd[FastTrackEntry]

### Inherited by implicit conversion StringFormat from FastTrackEntry to StringFormat[FastTrackEntry]

### Inherited by implicit conversion Ensuring from FastTrackEntry to Ensuring[FastTrackEntry]

### Inherited by implicit conversion ArrowAssoc from FastTrackEntry to ArrowAssoc[FastTrackEntry]

### Ungrouped